#ifndef __BRCUT
#define __BRCUT

enum position {UP=1, RIGHT, DOWN, LEFT};

void PlaceCut(unsigned char *bitflags, int is, int js, int ie, int je, const int xsize, const int ysize);

int GenMSTforAllCluster(int *mark_global, unsigned char *bitflags, short *row, short *col, int *type, float *dist, 
						 const int len, const int xsize, const int ysize, const int cluster_limit);

void DistToBorder(unsigned char *bitflags, short *row, short *col, int *type, const int len, const int xsize, const int ysize, int key_type);

void PathIntegAroundCuts(float *phase, short **unwrapped, unsigned char *bitflags, const int xsize, const int ysize, int bad_flag);

void SplitLargeCluster(unsigned char *bitflats, short *row, short *col, int *type, float *dist, 
					   const int len, const int xsize, const int ysize, int key_type);

void GenMSTforLargeCluster(unsigned char *bitflags, short *row, short *col, int *type, float *dist, 
						   const int len, const int xsize, const int ysize, const int cluster_limit, const int key_type);

void FindLargeKind(unsigned char *bitflags, int *mark_global, const int xsize, const int ysize, const int resnum);

void SolveLargeKind(float *phase, short **unwrapped, unsigned char *bitflags, const int xsize, const int ysize);

#endif