#ifndef __MST
#define __MST

typedef struct MGraph_tag {
	int *vexs;
	float *arcs;
	int vexnum, arcnum;
} MGraph;

typedef struct MCloseEdge_tag {
	int adjvex;
	float lowcost;
} *CloseEdge;

int CreateGraph(MGraph *G, short *row, short *col, int *type, float *dist, const int len, 
				const int xsize, const int ysize, const int cluster_limit, int key_type);
int	LocateVex(MGraph *G, int u);
int Minimum(struct MCloseEdge_tag *closedge, int len);
void MinSpanTreePrim(MGraph *G, int u, unsigned char *bitflags, const int xsize, const int ysize);
void DestroyGraph(MGraph *G);

#endif