#ifndef __CLUSTER
#define __CLUSTER

void Cluster(int *mark_global, unsigned char *bitflags, float *qual, const int xsize, const int ysize, int resnum, 
			 float delta, float lowdis, float highdis, short **row, short **col, int **type, float **dist_in);

void ClusterRepeatErgodic(int **mark_global, unsigned char *bitflags, float *qual, const int xsize, const int ysize, int resnum,
						  float delta, float lowdis, float highdis, short **row, short **col, int **type, float **dist_in);

void ClusterFaster(int **mark_global, unsigned char *bitflags, float *qual, const int xsize, const int ysize, int resnum, 
				   float delta, float lowdis, float highdis, short **row, short **col, int **type, float **dist_in);

void SplitCluster(int *mark_global, short *row, short *col, int *type, float *dist, const int len, const int xsize, const int ysize);

int GetKindBlock(int *mark_global, unsigned char *bitflags, const int xsize, const int ysize, const int resnum);

void GetKindSmallerBlock(int *mark_global, unsigned char *bitflags, const int xsize, const int ysize, const int resnum, const int threshold);

#endif