#ifndef __SOLVER
#define __SOLVER

void SolveKindBlock(float *phase, float *unwrapped, int *mark_global, unsigned char *bitflags, 
					const int xsize, const int ysize, const int resnum, int kind_num);

int NumOfNeedToDo(unsigned char *bitflags, const int xsize, const int ysize);

void GenerageCoeff(float *phase, unsigned char *bitflags, const int xsize, const int ysize, 
				   double **row, double **col, double **val, double **b, int *len_a, int *len_b, int *len_x, int *len_y);

#endif